Zum Hauptinhalt springen
GET
/
v1
/
public
/
accounts
/
{account_id}
/
dedicated-ips
Auflisten Dediziert IPs
curl --request GET \
  --url https://api.hybridbox.io/v1/public/accounts/{account_id}/dedicated-ips \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "<string>",
      "type": "<string>",
      "asn": 123,
      "country_code": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "ip_addresses": [
        {
          "ip": "<string>",
          "fcrdns_confirmed": false,
          "healthy": true,
          "rdns": "<string>"
        }
      ],
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "page": 123,
  "page_size": 123,
  "total": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

Public API bearer credential sent as Authorization: Bearer <token>. Use either an OAuth access token or a Hybridbox Service account token.

Pfadparameter

account_id
string<uuid>
erforderlich

Abfrageparameter

page
integer
Standard:1
page_size
integer
Standard:25

Antwort

items
PublicDedicatedIpResponse · object[]
erforderlich

Spezieller IPs auf dieser Seite

page
integer
erforderlich

Aktuelle einseitige Seitenzahl

page_size
integer
erforderlich

Maximale Anzahl an Elementen pro Seite

total
integer
erforderlich

Insgesamt passendes dediziertes IPs